Gtk_VBox(3)

NAME - Gtk_VBox
vertical box which can contain widgets and they're layoutedto a vertical row.

HEADER REQUIRED
#include <gtk--/box.h&gt;>

BASE CLASSES
Gtk_Box(3)

DERIVED BY
Gtk_ColorSelection(3) Gtk_GammaCurve(3)

DESCRIPTION
You should create these objects, but it is more confortable to pass around pointers of Gtk_Box. All the methods that do anything are in Gtk_Box class and this allows you to later change the direction of the box, when there's no dependencies to hbox and vbox classes.

See Gtk_Box.

PUBLIC MEMBER INDEX
    Gtk_VBox(bool homogeneous=false, gint spacing=0);
    Gtk_VBox(GtkVBox *castitem);
    GtkVBox*  gtkobj();
    const GtkVBox*  gtkobj() const;
    static bool  isGtkVBox(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkVBox  BaseObjectType;
    typedef GtkVBoxClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  vbox_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS